> For the complete documentation index, see [llms.txt](https://docs.shipbubble.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.shipbubble.com/api-reference/marketplaces/products/create-single-product.md).

# Create single product

Add a single product to your marketplace store.

```
POST /v1/external/marketplace/{store_id}/products/single
```

{% hint style="info" %}
Note: Supported currencies are based on your store's configured zones. Contact support if your currency is not available.
{% endhint %}

## Path Parameters

| Parameter  | Type   | Required | Description                      |
| ---------- | ------ | -------- | -------------------------------- |
| `store_id` | string | Yes      | Your unique marketplace store ID |

## Request Body

| Parameter              | Type   | Required | Description                                                       |
| ---------------------- | ------ | -------- | ----------------------------------------------------------------- |
| `name`                 | string | Yes      | Product name                                                      |
| `description`          | string | Yes      | Short product description                                         |
| `currency`             | string | Yes      | Currency code e.g. `NGN`, `USD`, `GBP`                            |
| `image_1`              | string | Yes      | URL of the primary product image                                  |
| `price`                | number | Yes      | Product price in the specified currency                           |
| `store_product_id`     | string | Yes      | <p>Your unique identifer for the product on your </p><p>store</p> |
| `kg_weight`            | number | Yes      | Product weight in kilograms                                       |
| `dimensions`           | object | Yes      | Product dimensions                                                |
| `dimensions.length_cm` | number | Yes      | Length in centimetres                                             |
| `dimensions.width_cm`  | number | Yes      | Width in centimetres                                              |
| `dimensions.height_cm` | number | Yes      | Height in centimetres                                             |
| `category_name`        | string | Yes      | Product category e.g. `Tees`, `Dresses`, `Shoes`                  |

## Response

```json
{
    "status": "success",
    "message": "Classic White Tee created successfully",
    "data": {
        "product_id": "108509f1e2ea",
        "name": "Classic White Tee",
        "description": "A comfortable everyday t-shirt",
        "type": "single",
        "sku": "GEN-CLAS-B4268",
        "currency": "NGN",
        "images": [
            "https://example.com/tee.jpg"
        ],
        "category": "Tees",
        "total_stock": 0,
        "is_active": true,
        "captured": "2026-03-12T11:59:33.000Z",
        "price": 7500,
        "dimensions": {
            "length_cm": 30,
            "width_cm": 20,
            "height_cm": 5
        }
    }
}
```
